Subject: Re: bug#6457: 24.0.50; Inappropriate error msg for set-variable

From: Juri Linkov <[email-masked]>
Date: Sat, 19 Jun 2010 17:43:16 +0300

> emacs -Q
> M-x set-variable RET scroll-conservatively
> Set scroll-conservatively globally to value (0): 99999999 RET
>
> No problem. Now do it again, adding one more `9':
> M-x set-variable RET scroll-conservatively
> Set scroll-conservatively globally to value (99999999): 999999999 RET

What is a number in parens?  I don't have these parens.
Do you use a modified source?

> The error message is this:
>
> Value `999999999.0' does not match type integer of
> scroll-conservatively.

I can't reproduce this bug when I set to 999999999.

When I tried a larger value "9999999999999999999",
I get the following error:

  Arithmetic overflow error: "9999999999999999999"

-- 
Juri Linkov
http://www.jurta.org/emacs/